<?php
/**************************************************
  Coppermine 1.5.x Plugin - Fade Background
  *************************************************
  Copyright (c) 2010 Jeff Bailey
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
	die('Not in Coppermine...');
}

global $lang_plugin_fade, $setFadeVar;

$superCage = Inspekt::makeSuperCage();
if ($superCage->get->getInt('setFade') == 1) {
	$setFadeVar = 1;
}else {
	$setFadeVar = 0;
}

require "./plugins/fade_background/lang/english.php";
if ($CONFIG['lang'] != 'english' && file_exists("./plugins/fad_background/lang/{$CONFIG['lang']}.php")) {
	require "./plugins/fade_background/lang/{$CONFIG['lang']}.php";
}

// Define plugin actions here
	$thisplugin->add_action('page_start','custom_function_to_include_js');

// Define plugin filters here
	$thisplugin->add_filter('page_meta','add_style');
	$thisplugin->add_filter('gallery_header','add_div');
	$thisplugin->add_filter('file_data','enclosure');

function custom_function_to_include_js() {
	global $JS;
	$JS['includes'][] = 'plugins/fade_background/includes/js/fade.js';
	return $JS;
}
function add_style() {
	$meta  .= '<link rel="stylesheet" href="plugins/fade_background/includes/css/style.css" type="text/css" />';
	return $meta;
}
function add_div($html) {
	$html = $html.'<div id="overlay" style="opacity:0;filter:alpha(opacity=0);display:none;"></div>';
    return $html;
}
function enclosure($CURRENT_PIC_DATA) {
	global $CONFIG, $CURRENT_PIC_DATA, $meta_nav, $THEME_DIR, $CPG_PHP_SELF, $LINEBREAK, $setFadeVar;
	global $album, $cat, $pos, $pic_count, $pic_data, $lang_img_nav_bar, $lang_text_dir, $template_img_navbar, $lang_plugin_fade;

	$superCage = Inspekt::makeSuperCage();
	$cat_link  = is_numeric($album) ? '' : '&amp;cat=' . $cat;

	if ($superCage->get->keyExists('date')) {
		$date_link = '&date=' . cpgValidateDate($superCage->get->getRaw('date'));
	} else {
		$date_link = '';
	}

	if ($superCage->get->getInt('uid')) {
		$uid_link = '&amp;uid=' . $superCage->get->getInt('uid');
	} else {
		$uid_link = '';
	}

	$human_pos 	= $pos + 1;
	$page 		= ceil(($pos + 1) / ($CONFIG['thumbrows'] * $CONFIG['thumbcols']));
	$pid 		= $CURRENT_PIC_DATA['pid'];

	if ($pos > 0) {
		$prev = $pos - 1;
		if ($album == 'lastcom' || $album == 'lastcomby') {
			$page 		= cpg_get_comment_page_number($pic_data[$prev]['msg_id']);
			$page 		= (is_numeric($page)) ? "&amp;page=$page" : '';
			$prev_tgt 	= "$CPG_PHP_SELF?album=$album$cat_link$date_link&amp;pid={$pic_data[$prev]['pid']}$uid_link&amp;msg_id={$pic_data[$prev]['msg_id']}$page#comment{$pic_data[$prev]['msg_id']}";
		} else {
			$prev_tgt 	= "$CPG_PHP_SELF?album=$album$cat_link$date_link&amp;pid={$pic_data[$prev]['pid']}$uid_link";
			$start_tgt .= "$uid_link";
		}
		$prev_title = $lang_img_nav_bar['prev_title'];
	} else {
		$prev_tgt 	= "javascript:;";
		$prev_title = "";
	}
	if ($pos < ($pic_count -1)) {
		$next = $pos + 1;
		if ($album == 'lastcom' || $album == 'lastcomby') {
			$page 		= cpg_get_comment_page_number($pic_data[$next]['msg_id']);
			$page 		= (is_numeric($page)) ? "&amp;page=$page" : '';
			$next_tgt 	= "$CPG_PHP_SELF?album=$album$cat_link$date_link&amp;pid={$pic_data[$next]['pid']}$uid_link&amp;msg_id={$pic_data[$next]['msg_id']}$page#comment{$pic_data[$next]['msg_id']}";
		} else {
			$next_tgt = "$CPG_PHP_SELF?album=$album$cat_link$date_link&amp;pid={$pic_data[$next]['pid']}$uid_link";
			$end_tgt .= "$uid_link";
		}
		$next_title = $lang_img_nav_bar['next_title'];
	} else {
		$next_tgt 	= "javascript:;";
		$next_title = "";
	}
	$start_enclosure 	= '<div id="enclosure">';
	$end_enclosure 		= <<<EOT
<div id="enclosure_btns" style="width:{$CONFIG['picture_width']}px;">
	<table cellpadding="0" cellspacing="0">
		<tr>
			<td><a id="prev_link_fade" rel="prev" href="$prev_tgt&amp;setFade=1" title="$prev_title" style="visibility:hidden;"><img src="plugins/fade_background/includes/images/prev_btn.png" alt="prev" /></a></td>
			<td id="fade_link_holder"><a id="fade_link" href="#" onclick="initiateFade('overlay');addClass('prev_link_fade', 'link_show');addClass('next_link_fade', 'link_show');"><span>{$lang_plugin_fade['fade']}</span></a></td>
			<td><a id="next_link_fade" rel="next" href="$next_tgt&amp;setFade=1" title="$next_title" style="visibility:hidden;"><img src="plugins/fade_background/includes/images/next_btn.png" alt="next" /></a></td>
		</tr>
	</table>
</div><!-- end enclosure_btns -->
</div><!-- end enclosure -->
EOT;
		if ($setFadeVar == 1) {
		$fade_script = <<<EOT
<script type="text/javascript">
	initiateFade('overlay');
	addClass('prev_link_fade', 'link_show');
	addClass('next_link_fade', 'link_show');
</script>
EOT;
		}

	$CURRENT_PIC_DATA['html'] = $start_enclosure.$CURRENT_PIC_DATA['html'].$end_enclosure.$fade_script;
	return $CURRENT_PIC_DATA;
}
?>
